OPTIONS (DIRECT=TRUE,
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)

UNRECOVERABLE
LOAD DATA

INFILE '%INPUTFILELOCATION%CUST_CONTACT%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%CUST_CONTACT%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%CUST_CONTACT%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS


INTO TABLE CI_CC_LOG
WHEN TABLE_FILLER = "CI_CC_LOG                     "
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(TABLE_FILLER FILLER POSITION(1:30),
DELIMITER_FILLER FILLER POSITION(31:31),
CC_ID CHAR(10),
CC_LOG_ID CHAR(12),
TRIGGER_DT DATE 'YYYY-MM-DD',
ROLE_ID CHAR(10),
ASSIGNED_TO CHAR(8),
USER_ID CHAR(8),
CRE_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
CC_LOG_CONTENT CHAR(2000),
TRIGGER_BP_SW CHAR(1),
VERSION INTEGER EXTERNAL TERMINATED BY WHITESPACE)

INTO TABLE CI_CC
WHEN TABLE_FILLER = "CI_CC                         "
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(TABLE_FILLER FILLER POSITION(1:30),
DELIMITER_FILLER FILLER POSITION(31:31),
CC_ID CHAR(10),
USER_ID CHAR(8),
PER_ID CHAR(10),
CC_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
CC_CL_CD CHAR(4),
CC_TYPE_CD CHAR(12),
PRINT_LETTER_SW CHAR(1),
LETTER_PRINT_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
LTR_TMPL_CD CHAR(12),
DESCRLONG CHAR(4000),
VERSION INTEGER EXTERNAL,
BATCH_CD CHAR(8),
BATCH_NBR INTEGER EXTERNAL,
CC_STATUS_FLG CHAR(4),
CONTACT_METH_FLG CHAR(4),
CC_DATA_AREA CHAR(10000) ENCLOSED BY '<endclob>',
C1_CONTACT_ID CHAR(10),
PREM_ID CHAR(10),
ACCT_ID CHAR(10),
CC_ENTITY_FLG CHAR(4) TERMINATED BY WHITESPACE)

INTO TABLE CI_CC_CHAR
WHEN TABLE_FILLER = "CI_CC_CHAR                    "
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(TABLE_FILLER FILLER POSITION(1:30),
DELIMITER_FILLER FILLER POSITION(31:31),
CC_ID CHAR(10),
CHAR_TYPE_CD CHAR(8),
CHAR_VAL CHAR(16),
ADHOC_CHAR_VAL CHAR(254),
CHAR_VAL_FK1 CHAR(50),
CHAR_VAL_FK2 CHAR(50),
CHAR_VAL_FK3 CHAR(50),
CHAR_VAL_FK4 CHAR(50),
CHAR_VAL_FK5 CHAR(50),
VERSION INTEGER EXTERNAL,
SRCH_CHAR_VAL CHAR(50) TERMINATED BY WHITESPACE)
