OPTIONS (DIRECT=TRUE,
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)

UNRECOVERABLE
LOAD DATA

INFILE '%INPUTFILELOCATION%F1_SYNC_REQ_IN%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%F1_SYNC_REQ_IN%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%F1_SYNC_REQ_IN%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS

INTO TABLE CISADM.F1_SYNC_REQ_IN
WHEN BUS_OBJ_CD='W1-CompositeSyncReqGISAsset'
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(F1_SYNC_REQ_IN_ID CHAR(14),
BUS_OBJ_CD CHAR(30),
CRE_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
BO_STATUS_CD CHAR(12),
STATUS_UPD_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
MAINT_OBJ_CD CHAR(12),
NT_XID_CD CHAR(30),
EXT_PK_VALUE1 CHAR(254),
EXT_PK_VALUE2 CHAR(254),
EXT_PK_VALUE3 CHAR(254),
EXT_PK_VALUE4 CHAR(254),
EXT_PK_VALUE5 CHAR(254),
PK_VALUE1 CHAR(254),
VERSION INTEGER EXTERNAL,
EXT_REFERENCE_ID CHAR(36),
F1_INITIAL_LOAD_SYNC_FLG CHAR(4),
F1_COMPOSITE_SYNC_FLG CHAR(4),
ILM_DT DATE 'YYYY-MM-DD',
ILM_ARCH_SW CHAR(1),
POST_TRN_BO_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%F1_SYNC_REQ_IN_POST_TRN_BO_DATA_AREA_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n",
PRE_TRN_FIN_BO_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%F1_SYNC_REQ_IN_PRE_TRN_FIN_BO_DATA_AREA_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n",
BO_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%F1_SYNC_REQ_IN_BO_DATA_AREA_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n",
PRE_TRN_INIT_BO_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%F1_SYNC_REQ_IN_PRE_TRN_INIT_BO_DATA_AREA_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n")

