OPTIONS (DIRECT=TRUE,
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)

UNRECOVERABLE
LOAD DATA

INFILE '%INPUTFILELOCATION%INT_DATA_SET%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%INT_DATA_SET%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%INT_DATA_SET%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS


INTO TABLE CI_INTV_DATA
WHEN TABLE_FILLER = "CI_INTV_DATA                  "
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(TABLE_FILLER FILLER POSITION(1:30),
DELIMITER_FILLER FILLER POSITION(31:31),
INTV_DATA_SET_ID CHAR(12),
INTV_DATA_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
INTV_DATA INTEGER EXTERNAL TERMINATED BY WHITESPACE)

INTO TABLE CI_INTV_DATA_SET
WHEN TABLE_FILLER = "CI_INTV_DATA_SET              "
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(TABLE_FILLER FILLER POSITION(1:30),
DELIMITER_FILLER FILLER POSITION(31:31),
INTV_DATA_SET_ID CHAR(12),
INTV_PF_ID CHAR(12),
SET_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
SET_STATUS_FLG CHAR(2),
VERSION INTEGER EXTERNAL,
INTV_DS_TYPE_FLG CHAR(4),
INTV_DS_EXT_ID CHAR(60),
INTV_DS_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%INT_DATA_SET_CI_INTV_DATA_SET_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n")
